package controller

import (
	"context"
	"exhibition-register/pb/exhibition"
	"exhibition-register/pkg/msg"
)

func (e *ExhibitionProvider) CheckPhone(_ context.Context, req *exhibition.RegisterInfo) (res *exhibition.CheckPhoneResp, err error) {
	res = new(exhibition.CheckPhoneResp)
	if res, err = e.registerLogic.CheckPhone(req); err != nil {
		return nil, err
	}
	res.Msg = msg.Success
	return
}
